zxJDBC (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ziclix.python.sql
Class zxJDBC

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--com.ziclix.python.sql.zxJDBC

All Implemented Interfaces:
  ClassDictInit, java.io.Serializable

public class zxJDBC
extends PyObject
implements ClassDictInit

Creates database connections.

     from com.ziclix.python.sql import zxJDBC
     db = zxJDBC.connect("jdbc:mysql://localhost:3306/MySql", None, None, "org.gjt.mm.mysql.Driver")

Version:
  $Revision: 1.4 $
Author:
  brian zimmer
, last revised by $Author: bzimmer $
See Also:
  Serialized Form

Field Summary
`static PyClass` | `__class__` Field __class__
`static PyObject` | `DatabaseError` Field DatabaseError
`static PyObject` | `DataError` Field DataError
`static PyObject` | `Error` Field Error
`static PyObject` | `IntegrityError` Field IntegrityError
`static PyObject` | `InterfaceError` Field InterfaceError
`static PyObject` | `InternalError` Field InternalError
`static PyObject` | `NotSupportedError` Field NotSupportedError
`static PyObject` | `OperationalError` Field OperationalError
`static PyObject` | `ProgrammingError` Field ProgrammingError
`static PyObject` | `Warning` Field Warning

Constructor Summary
`zxJDBC()`

Method Summary
`static PyObject` | `_empty__init__(PyObject[] arg, java.lang.String[] kws)` Method _empty__init__
`static void` | `classDictInit(PyObject dict)` Initializes the module.
`static java.lang.String` | `getString(java.lang.String key)` Return the string associated with the key for the default resource bundle.
`static java.lang.String` | `getString(java.lang.String key, java.lang.Object[] values)` Return a formatted string.
`static PyException` | `makeException(PyObject type, java.lang.String msg)` Return a newly instantiated PyException.
`static PyException` | `newError(java.lang.String msg)` Return a newly instantiated Error.
`static PyException` | `newError(java.lang.Throwable e)` Return a newly instantiated Error.

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Error

    public static PyObject Error

  Field Error

### Warning

    public static PyObject Warning

  Field Warning

### InterfaceError

    public static PyObject InterfaceError

  Field InterfaceError

### DatabaseError

    public static PyObject DatabaseError

  Field DatabaseError

### InternalError

    public static PyObject InternalError

  Field InternalError

### OperationalError

    public static PyObject OperationalError

  Field OperationalError

### ProgrammingError

    public static PyObject ProgrammingError

  Field ProgrammingError

### IntegrityError

    public static PyObject IntegrityError

  Field IntegrityError

### DataError

    public static PyObject DataError

  Field DataError

### NotSupportedError

    public static PyObject NotSupportedError

  Field NotSupportedError

### __class__

    public static PyClass __class__

  Field __class__

Constructor Detail

### zxJDBC

    public zxJDBC()

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

  Initializes the module.

  Parameters:
    `dict` -

### _empty__init__

    public static PyObject _empty__init__(PyObject[] arg,
                                          java.lang.String[] kws)

  Method _empty__init__

  Returns:
    PyObject

### getString

    public static java.lang.String getString(java.lang.String key)

  Return the string associated with the key for the default resource bundle. It first checks for 'key.N' where N starts at 0 and increments by one. If any indexed key is found, the results of all the indexed values are concatenated with the line separator. If no indexed key is found, it defaults to checking the bundle by the key value alone.

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object[] values)

  Return a formatted string. The key is used to get the format and the values are passed, along with the format, to a MessageFormat who formats it appropriately.

### makeException

    public static PyException makeException(PyObject type,
                                            java.lang.String msg)

  Return a newly instantiated PyException.

### newError

    public static PyException newError(java.lang.String msg)

  Return a newly instantiated Error.

### newError

    public static PyException newError(java.lang.Throwable e)

  Return a newly instantiated Error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage